socks5d(1.0)

NAME
socks5d - proxy SOCKS version 5 (BProxy)

SYNOPSIS

socks5d [ POSIX style options ]

OPTIONS

-h  Prints help.

-l socks-address
    Establishes address where proxy SOCKS will be served. By default listens in every interface.

-L management-address
    Establishes address where management srrver will be served. By default listens to loopback.

-p socks-port
    TCP port where it will listen for incoming SOCKS connections. Default value is 1080.

-P management-port
    UDP port where it will listen for incoming Bottler Configuration Protocol connections Default value is 8080.

-u user:pass
    Declares a proxy user with its password <uname>:<pass>. A maximum of 1024 users is established.

-v  Prints version information.

ACCESS LOGGING
Logs use of proxy server in standard output and file access.log. A line per connections. Each field is delimited by a space:

date
    in which the connection has been made in ISO-8601 format. Example 2022-06-15T19:56:34Z.

username
    that makes the request. anon if not authenticated. Example user123.

register type
    Always character A.

origin IP address
    from which the user made the connection. Example ::1.

origin port
    from which the user made the connection. Example 54786.

destination
    to which the connection has been made. Name or IP address (according to ATY). Example www.itba.edu.ar. Example ::1.

destination port
    to which the connection has been made. Example 443.

status
    status SOCKS (0 success, ...) Status code de SOCKSv5. Example 0.

PASSWORD LOGGING
Logs uncovered credentials in standard output and file passwords.log. One credential per line. Fields are delimited by spaces:

date
    in which the connection has been processed in ISO-8601 format. Example 2020-06-15T19:56:34Z.

username
    that makes the request. anon if not authenticated Example user123.

register type
    Always character P.

protocol
    Inferred protocol user. If unknown then UNK. Between partenthesis if suspected.

destination
    to which the connection has been made. Name or IP address (according to ATY). Example www.itba.edu.ar. Example ::1.

destination port
    to which the connection has been made. Example 443.

diss_user
    Uncovered username.

diss_pass
    Uncovered password.